BaseMarkupSerializer (Other Classes)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class BaseMarkupSerializer

    java.lang.Object
      org.apache.xml.serialize.BaseMarkupSerializer

All Implemented Interfaces:
  DOMSerializer, Serializer, org.xml.sax.ContentHandler, org.xml.sax.DocumentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.ext.LexicalHandler

Direct Known Subclasses:
  HTMLSerializer, TextSerializer, XMLSerializer

Deprecated. This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

    public abstract class BaseMarkupSerializer

extends java.lang.Object
implements org.xml.sax.ContentHandler, org.xml.sax.DocumentHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.DeclHandler, DOMSerializer, Serializer

Base class for a serializer supporting both DOM and SAX pretty serializing of XML/HTML/XHTML documents. Derives classes perform the method-specific serializing, this class provides the common serializing mechanisms.

The serializer must be initialized with the proper writer and output format before it can be used by calling `setOutputCharStream(java.io.Writer)` or `setOutputByteStream(java.io.OutputStream)` for the writer and `setOutputFormat(org.apache.xml.serialize.OutputFormat)` for the output format.

The serializer can be reused any number of times, but cannot be used concurrently by two threads.

If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

The serializer supports both DOM and SAX. DOM serializing is done by calling `serialize(Document)` and SAX serializing is done by firing SAX events and using the serializer as a document handler. This also applies to derived class.

If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

For elements that are not specified as whitespace preserving, the serializer will potentially break long text lines at space boundaries, indent lines, and serialize elements on separate lines. Line terminators will be regarded as spaces, and spaces at beginning of line will be stripped.

When indenting, the serializer is capable of detecting seemingly element content, and serializing these elements indented on separate lines. An element is serialized indented when it is the first or last child of an element, or immediate following or preceding another element.

Version:
  $Revision: 923974 $ $Date: 2010-03-16 16:47:04 -0400 (Tue, 16 Mar 2010) $
Author:
  Assaf Arkin, Rahul Srivastava, Elena Litani, IBM
See Also:
  `Serializer`, `LSSerializer`

Field Summary
`protected java.lang.String` | `_docTypePublicId` Deprecated. The system identifier of the document type, if known.
`protected java.lang.String` | `_docTypeSystemId` Deprecated. The system identifier of the document type, if known.
`protected EncodingInfo` | `_encodingInfo` Deprecated.
`protected OutputFormat` | `_format` Deprecated. The output format associated with this serializer.
`protected boolean` | `_indenting` Deprecated. True if indenting printer.
`protected java.util.Hashtable` | `_prefixes` Deprecated. Association between namespace URIs (keys) and prefixes (values).
`protected Printer` | `_printer` Deprecated. The printer used for printing text parts.
`protected boolean` | `_started` Deprecated. If the document has been started (header serialized), this flag is set to true so it's not started twice.
`protected org.w3c.dom.Node` | `fCurrentNode` Deprecated. Current node that is being processed
`protected org.apache.xerces.dom.DOMErrorImpl` | `fDOMError` Deprecated.
`protected org.w3c.dom.DOMErrorHandler` | `fDOMErrorHandler` Deprecated.
`protected org.w3c.dom.ls.LSSerializerFilter` | `fDOMFilter` Deprecated.
`protected short` | `features` Deprecated.
`protected java.lang.StringBuffer` | `fStrBuffer` Deprecated. Temporary buffer to store character data

Constructor Summary
`protected` | `BaseMarkupSerializer(OutputFormat format)` Deprecated. Protected constructor can only be used by derived class.

Method Summary
`org.xml.sax.ContentHandler` | `asContentHandler()` Deprecated. Return a `ContentHandler` interface into this serializer.
`org.xml.sax.DocumentHandler` | `asDocumentHandler()` Deprecated. Return a `DocumentHandler` interface into this serializer.
`DOMSerializer` | `asDOMSerializer()` Deprecated. Return a `DOMSerializer` interface into this serializer.
`void` | `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` Deprecated.
`void` | `characters(char[] chars, int start, int length)` Deprecated.
`protected void` | `characters(java.lang.String text)` Deprecated. Called to print the text contents in the prevailing element format.
`protected void` | `checkUnboundNamespacePrefixedNode(org.w3c.dom.Node node)` Deprecated. DOM level 3: Check a node to determine if it contains unbound namespace prefixes.
`protected void` | `cleanup()` Deprecated.
`void` | `comment(char[] chars, int start, int length)` Deprecated.
`void` | `comment(java.lang.String text)` Deprecated.
`protected ElementState` | `content()` Deprecated. Must be called by a method about to print any type of content.
`void` | `elementDecl(java.lang.String name, java.lang.String model)` Deprecated.
`void` | `endCDATA()` Deprecated.
`void` | `endDocument()` Deprecated. Called at the end of the document to wrap it up.
`void` | `endDTD()` Deprecated.
`void` | `endEntity(java.lang.String name)` Deprecated.
`void` | `endNonEscaping()` Deprecated.
`void` | `endPrefixMapping(java.lang.String prefix)` Deprecated.
`void` | `endPreserving()` Deprecated.
`protected ElementState` | `enterElementState(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName, boolean preserveSpace)` Deprecated. Enter a new element state for the specified element.
`void` | `externalEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Deprecated.
`protected void` | `fatalError(java.lang.String message)` Deprecated.
`protected ElementState` | `getElementState()` Deprecated. Return the state of the current element.
`protected abstract java.lang.String` | `getEntityRef(int ch)` Deprecated. Returns the suitable entity reference for this character value, or null if no such entity exists.
`protected java.lang.String` | `getPrefix(java.lang.String namespaceURI)` Deprecated. Returns the namespace prefix for the specified URI.
`void` | `ignorableWhitespace(char[] chars, int start, int length)` Deprecated.
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)` Deprecated.
`protected boolean` | `isDocumentState()` Deprecated. Returns true if in the state of the document.
`protected ElementState` | `leaveElementState()` Deprecated. Leave the current element state and return to the state of the parent element.
`protected org.w3c.dom.DOMError` | `modifyDOMError(java.lang.String message, short severity, java.lang.String type, org.w3c.dom.Node node)` Deprecated. The method modifies global DOM error object
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Deprecated.
`protected void` | `prepare()` Deprecated.
`protected void` | `printCDATAText(java.lang.String text)` Deprecated.
`protected void` | `printDoctypeURL(java.lang.String url)` Deprecated. Print a document type public or system identifier URL.
`protected void` | `printEscaped(int ch)` Deprecated.
`protected void` | `printEscaped(java.lang.String source)` Deprecated. Escapes a string so it may be printed as text content or attribute value.
`protected void` | `printText(char[] chars, int start, int length, boolean preserveSpace, boolean unescaped)` Deprecated. Called to print additional text with whitespace handling.
`protected void` | `printText(java.lang.String text, boolean preserveSpace, boolean unescaped)` Deprecated.
`void` | `processingInstruction(java.lang.String target, java.lang.String code)` Deprecated.
`void` | `processingInstructionIO(java.lang.String target, java.lang.String code)` Deprecated.
`boolean` | `reset()` Deprecated.
`void` | `serialize(org.w3c.dom.Document doc)` Deprecated. Serializes the DOM document using the previously specified writer and output format.
`void` | `serialize(org.w3c.dom.DocumentFragment frag)` Deprecated. Serializes the DOM document fragmnt using the previously specified writer and output format.
`void` | `serialize(org.w3c.dom.Element elem)` Deprecated. Serializes the DOM element using the previously specified writer and output format.
`protected abstract void` | `serializeElement(org.w3c.dom.Element elem)` Deprecated. Called to serializee the DOM element.
`protected void` | `serializeNode(org.w3c.dom.Node node)` Deprecated. Serialize the DOM node.
`protected void` | `serializePreRoot()` Deprecated. Comments and PIs cannot be serialized before the root element, because the root element serializes the document type, which generally comes first.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Deprecated.
`void` | `setOutputByteStream(java.io.OutputStream output)` Deprecated. Specifies an output stream to which the document should be serialized.
`void` | `setOutputCharStream(java.io.Writer writer)` Deprecated. Specifies a writer to which the document should be serialized.
`void` | `setOutputFormat(OutputFormat format)` Deprecated. Specifies an output format for this serializer.
`void` | `skippedEntity(java.lang.String name)` Deprecated.
`void` | `startCDATA()` Deprecated.
`void` | `startDocument()` Deprecated.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Deprecated.
`void` | `startEntity(java.lang.String name)` Deprecated.
`void` | `startNonEscaping()` Deprecated.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Deprecated.
`void` | `startPreserving()` Deprecated.
`protected void` | `surrogates(int high, int low, boolean inContent)` Deprecated.
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`endElement, startElement`

Methods inherited from interface org.xml.sax.DocumentHandler
`endElement, startElement`

Field Detail

### features

    protected short features

  Deprecated.

### fDOMErrorHandler

    protected org.w3c.dom.DOMErrorHandler fDOMErrorHandler

  Deprecated.

### fDOMError

    protected final org.apache.xerces.dom.DOMErrorImpl fDOMError

  Deprecated.

### fDOMFilter

    protected org.w3c.dom.ls.LSSerializerFilter fDOMFilter

  Deprecated.

### _encodingInfo

    protected EncodingInfo _encodingInfo

  Deprecated.

### _started

    protected boolean _started

  Deprecated.
  If the document has been started (header serialized), this flag is set to true so it's not started twice.

### _prefixes

    protected java.util.Hashtable _prefixes

  Deprecated.
  Association between namespace URIs (keys) and prefixes (values). Accumulated here prior to starting an element and placing this list in the element state.

### _docTypePublicId

    protected java.lang.String _docTypePublicId

  Deprecated.
  The system identifier of the document type, if known.

### _docTypeSystemId

    protected java.lang.String _docTypeSystemId

  Deprecated.
  The system identifier of the document type, if known.

### _format

    protected OutputFormat _format

  Deprecated.
  The output format associated with this serializer. This will never be a null reference. If no format was passed to the constructor, the default one for this document type will be used. The format object is never changed by the serializer.

### _printer

    protected Printer _printer

  Deprecated.
  The printer used for printing text parts.

### _indenting

    protected boolean _indenting

  Deprecated.
  True if indenting printer.

### fStrBuffer

    protected final java.lang.StringBuffer fStrBuffer

  Deprecated.
  Temporary buffer to store character data

### fCurrentNode

    protected org.w3c.dom.Node fCurrentNode

  Deprecated.
  Current node that is being processed

Constructor Detail

### BaseMarkupSerializer

    protected BaseMarkupSerializer(OutputFormat format)

  Deprecated.
  Protected constructor can only be used by derived class. Must initialize the serializer before serializing any document, by calling `setOutputCharStream(java.io.Writer)` or `setOutputByteStream(java.io.OutputStream)` first

Method Detail

### asDocumentHandler

    public org.xml.sax.DocumentHandler asDocumentHandler()
                                                  throws java.io.IOException

  Deprecated.
  Description copied from interface: `Serializer`
  Return a `DocumentHandler` interface into this serializer. If the serializer does not support the `DocumentHandler` interface, it should return null.

  Specified by:
    `asDocumentHandler` in interface `Serializer`
  Throws:
    `java.io.IOException`

### asContentHandler

    public org.xml.sax.ContentHandler asContentHandler()
                                                throws java.io.IOException

  Deprecated.
  Description copied from interface: `Serializer`
  Return a `ContentHandler` interface into this serializer. If the serializer does not support the `ContentHandler` interface, it should return null.

  Specified by:
    `asContentHandler` in interface `Serializer`
  Throws:
    `java.io.IOException`

### asDOMSerializer

    public DOMSerializer asDOMSerializer()
                                  throws java.io.IOException

  Deprecated.
  Description copied from interface: `Serializer`
  Return a `DOMSerializer` interface into this serializer. If the serializer does not support the `DOMSerializer` interface, it should return null.

  Specified by:
    `asDOMSerializer` in interface `Serializer`
  Throws:
    `java.io.IOException`

### setOutputByteStream

    public void setOutputByteStream(java.io.OutputStream output)

  Deprecated.
  Description copied from interface: `Serializer`
  Specifies an output stream to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.

  Specified by:
    `setOutputByteStream` in interface `Serializer`

### setOutputCharStream

    public void setOutputCharStream(java.io.Writer writer)

  Deprecated.
  Description copied from interface: `Serializer`
  Specifies a writer to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.

  Specified by:
    `setOutputCharStream` in interface `Serializer`

### setOutputFormat

    public void setOutputFormat(OutputFormat format)

  Deprecated.
  Description copied from interface: `Serializer`
  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.

  Specified by:
    `setOutputFormat` in interface `Serializer`
  Parameters:
    `format` - The output format to use

### reset

    public boolean reset()

  Deprecated.

### cleanup

    protected void cleanup()

  Deprecated.

### prepare

    protected void prepare()
                    throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### serialize

    public void serialize(org.w3c.dom.Element elem)
                   throws java.io.IOException

  Deprecated.
  Serializes the DOM element using the previously specified writer and output format. Throws an exception only if an I/O exception occured while serializing.

  Specified by:
    `serialize` in interface `DOMSerializer`
  Parameters:
    `elem` - The element to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    public void serialize(org.w3c.dom.DocumentFragment frag)
                   throws java.io.IOException

  Deprecated.
  Serializes the DOM document fragmnt using the previously specified writer and output format. Throws an exception only if an I/O exception occured while serializing.

  Specified by:
    `serialize` in interface `DOMSerializer`
  Parameters:
    `frag` - The document fragment to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serialize

    public void serialize(org.w3c.dom.Document doc)
                   throws java.io.IOException

  Deprecated.
  Serializes the DOM document using the previously specified writer and output format. Throws an exception only if an I/O exception occured while serializing.

  Specified by:
    `serialize` in interface `DOMSerializer`
  Parameters:
    `doc` - The document to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Specified by:
    `startDocument` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Specified by:
    `characters` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public final void processingInstruction(java.lang.String target,
                                            java.lang.String code)
                                     throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Specified by:
    `processingInstruction` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstructionIO

    public void processingInstructionIO(java.lang.String target,
                                        java.lang.String code)
                                 throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### comment

    public void comment(char[] chars,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(java.lang.String text)
                 throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### startCDATA

    public void startCDATA()

  Deprecated.
  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### endCDATA

    public void endCDATA()

  Deprecated.
  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### startNonEscaping

    public void startNonEscaping()

  Deprecated.

### endNonEscaping

    public void endNonEscaping()

  Deprecated.

### startPreserving

    public void startPreserving()

  Deprecated.

### endPreserving

    public void endPreserving()

  Deprecated.

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Deprecated.
  Called at the end of the document to wrap it up. Will flush the output stream and throw an exception if any I/O error occured while serializing.

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Specified by:
    `endDocument` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException` - An I/O exception occured during serializing

### startEntity

    public void startEntity(java.lang.String name)

  Deprecated.
  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`

### endEntity

    public void endEntity(java.lang.String name)

  Deprecated.
  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Deprecated.
  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.DocumentHandler`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startDTD

    public final void startDTD(java.lang.String name,
                               java.lang.String publicId,
                               java.lang.String systemId)
                        throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDTD

    public void endDTD()

  Deprecated.
  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String model)
                     throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `elementDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

### attributeDecl

    public void attributeDecl(java.lang.String eName,
                              java.lang.String aName,
                              java.lang.String type,
                              java.lang.String valueDefault,
                              java.lang.String value)
                       throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `attributeDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   java.lang.String value)
                            throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `internalEntityDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId)
                            throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `externalEntityDecl` in interface `org.xml.sax.ext.DeclHandler`
  Throws:
    `org.xml.sax.SAXException`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Deprecated.
  Specified by:
    `notationDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

### serializeNode

    protected void serializeNode(org.w3c.dom.Node node)
                          throws java.io.IOException

  Deprecated.
  Serialize the DOM node. This method is shared across XML, HTML and XHTML serializers and the differences are masked out in a separate `serializeElement(org.w3c.dom.Element)`.

  Parameters:
    `node` - The node to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing
  See Also:
    `serializeElement(org.w3c.dom.Element)`

### content

    protected ElementState content()
                            throws java.io.IOException

  Deprecated.
  Must be called by a method about to print any type of content. If the element was just opened, the opening tag is closed and will be matched to a closing tag. Returns the current element state with `empty` and `afterElement` set to false.

  Returns:
    The current element state
  Throws:
    `java.io.IOException` - An I/O exception occurred while serializing

### characters

    protected void characters(java.lang.String text)
                       throws java.io.IOException

  Deprecated.
  Called to print the text contents in the prevailing element format. Since this method is capable of printing text as CDATA, it is used for that purpose as well. White space handling is determined by the current element state. In addition, the output format can dictate whether the text is printed as CDATA or unescaped.

  Parameters:
    `text` - The text to print
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### getEntityRef

    protected abstract java.lang.String getEntityRef(int ch)

  Deprecated.
  Returns the suitable entity reference for this character value, or null if no such entity exists. Calling this method with `'&'` will return `"&amp;"`.

  Parameters:
    `ch` - Character value
  Returns:
    Character entity name, or null

### serializeElement

    protected abstract void serializeElement(org.w3c.dom.Element elem)
                                      throws java.io.IOException

  Deprecated.
  Called to serializee the DOM element. The element is serialized based on the serializer's method (XML, HTML, XHTML).

  Parameters:
    `elem` - The element to serialize
  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### serializePreRoot

    protected void serializePreRoot()
                             throws java.io.IOException

  Deprecated.
  Comments and PIs cannot be serialized before the root element, because the root element serializes the document type, which generally comes first. Instead such PIs and comments are accumulated inside a vector and serialized by calling this method. Will be called when the root element is serialized and when the document finished serializing.

  Throws:
    `java.io.IOException` - An I/O exception occured while serializing

### printCDATAText

    protected void printCDATAText(java.lang.String text)
                           throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### surrogates

    protected void surrogates(int high,
                              int low,
                              boolean inContent)
                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printText

    protected void printText(char[] chars,
                             int start,
                             int length,
                             boolean preserveSpace,
                             boolean unescaped)
                      throws java.io.IOException

  Deprecated.
  Called to print additional text with whitespace handling. If spaces are preserved, the text is printed as if by calling `printText(String,boolean,boolean)` with a call to `Printer.breakLine()` for each new line. If spaces are not preserved, the text is broken at space boundaries if longer than the line width; Multiple spaces are printed as such, but spaces at beginning of line are removed.

  Parameters:
    `chars` - The text to print
    `start` - The start offset
    `length` - The number of characters
    `preserveSpace` - Space preserving flag
    `unescaped` - Print unescaped
  Throws:
    `java.io.IOException`

### printText

    protected void printText(java.lang.String text,
                             boolean preserveSpace,
                             boolean unescaped)
                      throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printDoctypeURL

    protected void printDoctypeURL(java.lang.String url)
                            throws java.io.IOException

  Deprecated.
  Print a document type public or system identifier URL. Encapsulates the URL in double quotes, escapes non-printing characters and print it equivalent to `printText(char[], int, int, boolean, boolean)`.

  Parameters:
    `url` - The document type url to print
  Throws:
    `java.io.IOException`

### printEscaped

    protected void printEscaped(int ch)
                         throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### printEscaped

    protected void printEscaped(java.lang.String source)
                         throws java.io.IOException

  Deprecated.
  Escapes a string so it may be printed as text content or attribute value. Non printable characters are escaped using character references. Where the format specifies a deault entity reference, that reference is used (e.g. `&lt;`).

  Parameters:
    `source` - The string to escape
  Throws:
    `java.io.IOException`

### getElementState

    protected ElementState getElementState()

  Deprecated.
  Return the state of the current element.

  Returns:
    Current element state

### enterElementState

    protected ElementState enterElementState(java.lang.String namespaceURI,
                                             java.lang.String localName,
                                             java.lang.String rawName,
                                             boolean preserveSpace)

  Deprecated.
  Enter a new element state for the specified element. Tag name and space preserving is specified, element state is initially empty.

  Returns:
    Current element state, or null

### leaveElementState

    protected ElementState leaveElementState()

  Deprecated.
  Leave the current element state and return to the state of the parent element. If this was the root element, return to the state of the document.

  Returns:
    Previous element state

### isDocumentState

    protected boolean isDocumentState()

  Deprecated.
  Returns true if in the state of the document. Returns true before entering any element and after leaving the root element.

  Returns:
    True if in the state of the document

### getPrefix

    protected java.lang.String getPrefix(java.lang.String namespaceURI)

  Deprecated.
  Returns the namespace prefix for the specified URI. If the URI has been mapped to a prefix, returns the prefix, otherwise returns null.

  Parameters:
    `namespaceURI` - The namespace URI
  Returns:
    The namespace prefix if known, or null

### modifyDOMError

    protected org.w3c.dom.DOMError modifyDOMError(java.lang.String message,
                                                  short severity,
                                                  java.lang.String type,
                                                  org.w3c.dom.Node node)

  Deprecated.
  The method modifies global DOM error object

  Parameters:
    `message` -
    `severity` -
    `type` -
  Returns:
    a DOMError

### fatalError

    protected void fatalError(java.lang.String message)
                       throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### checkUnboundNamespacePrefixedNode

    protected void checkUnboundNamespacePrefixedNode(org.w3c.dom.Node node)
                                              throws java.io.IOException

  Deprecated.
  DOM level 3: Check a node to determine if it contains unbound namespace prefixes.

  Parameters:
    `node` - The node to check for unbound namespace prefices
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.